CreativesGet a creative

Get a creative

One ad with its full creative, analysis, transcript and signed media URLs.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/creatives/example_string?location_id=example_string&include=raw" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "ad_id": "example_string",
    "account_id": "example_string",
    "campaign_id": "example_string",
    "adset_id": "example_string",
    "ad_name": "John Doe",
    "adset_name": "John Doe",
    "campaign_name": "John Doe",
    "effective_status": "ACTIVE",
    "gone": true,
    "gone_at": "2024-12-25T10:00:00Z",
    "ad_created_at": "2024-12-25T10:00:00Z",
    "creative_id": "example_string",
    "creative_found": true,
    "display_format": "image",
    "title": "example_string",
    "body": "example_string",
    "link_description": "example_string",
    "cta_type": "LEARN_MORE",
    "cta_text": "Learn More",
    "link_url": "example_string",
    "has_video": true,
    "video_id": "example_string",
    "video_duration_s": 3.14,
    "spend_90d": 3.14,
    "impressions_90d": 42,
    "last_spend_date": "2024-12-25",
    "spend_30d": 3.14,
    "impressions_30d": 42,
    "media_status": "pending",
    "analysis_status": "pending",
    "hook": "example_string",
    "hook_start_s": 3.14,
    "hook_end_s": 3.14,
    "tags": {},
    "epic": {
      "all_stages_in_order": true,
      "rules_met": 42,
      "rules_total": 42
    },
    "thumbnail_url": "example_string",
    "first_seen_at": "2024-12-25T10:00:00Z",
    "last_seen_at": "2024-12-25T10:00:00Z",
    "carousel_cards": [
      {}
    ],
    "asset_feed": {},
    "media": [
      {
        "slot": "image:0",
        "kind": "image",
        "quality": "hd",
        "width": 123,
        "height": 42,
        "copied_at": "2024-12-25T10:00:00Z",
        "last_error": "example_string",
        "key": "example_string",
        "bytes": 42,
        "content_type": "example_string",
        "url": "example_string",
        "skipped": "example_string",
        "error": "example_string"
      }
    ],
    "analysis": {},
    "analysis_model": "example_string",
    "analysis_input_tokens": 42,
    "analysis_cost_usd": 3.14,
    "analyzed_at": "2024-12-25T10:00:00Z",
    "transcript": {
      "status": "example_string",
      "text": "example_string",
      "sentences": [
        {
          "start": 3.14,
          "end": 3.14,
          "text": "example_string"
        }
      ],
      "duration_s": 3.14,
      "language": "example_string",
      "error": "example_string",
      "completed_at": "2024-12-25T10:00:00Z"
    },
    "spend_error": "example_string",
    "raw": {}
  }
}
GET
/client/v1/creatives/{ad_id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.
path
ad_idstring
Required

The Meta ad id.

Pattern: ^[0-9]+$
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

query
includestring

raw: also return the stored source row (bounded).

Options: raw
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Path Parameters

ad_idstring
Required

The Meta ad id.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

includestring

raw: also return the stored source row (bounded).

Allowed values:raw

Responses

successboolean
datastring